Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Class AbstractAdjacencyMatrix

    java.lang.Object
      uchicago.src.sim.network.AbstractAdjacencyMatrix

All Implemented Interfaces:
  AdjacencyMatrix

Direct Known Subclasses:
  AdjacencyBitMatrix, AdjacencyByteMatrix, AdjacencyDoubleMatrix

    public abstract class AbstractAdjacencyMatrix

extends java.lang.Object
implements AdjacencyMatrix

Field Summary
`protected java.lang.String` | `comment`
`protected java.util.List` | `labels`
`protected java.lang.String` | `matrixLabel`

Constructor Summary
`AbstractAdjacencyMatrix()`

Method Summary
`java.lang.String` | `getComment()` Gets the comment, if any, associated with this matrix.
`java.util.List` | `getLabels()` Gets the node labels for this matrix.
`java.lang.String` | `getMatrixLabel()` Gets the label for this matrix.
`void` | `setComment(java.lang.String comment)` Associates a comment with this matrix (e.g. the tick count at which it was created.)
`void` | `setMatrixLabel(java.lang.String mLabel)` Sets the label for this matrix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.network.AdjacencyMatrix
`columns, get, getAvgDegree, getDensity, getRow, matrixToString, rows, set, setMatrix`

Field Detail

### labels

    protected java.util.List labels

### matrixLabel

    protected java.lang.String matrixLabel

### comment

    protected java.lang.String comment

Constructor Detail

### AbstractAdjacencyMatrix

    public AbstractAdjacencyMatrix()

Method Detail

### setMatrixLabel

    public void setMatrixLabel(java.lang.String mLabel)

  Sets the label for this matrix. This is used to indicated the type of matrix (i.e. kinship etc.).

  Specified by:
    `setMatrixLabel` in interface `AdjacencyMatrix`
  Parameters:
    `mLabel` - the label for this matrix

### getMatrixLabel

    public java.lang.String getMatrixLabel()

  Gets the label for this matrix. This is used to indicated the type of matrix (i.e. kinship etc.).

  Specified by:
    `getMatrixLabel` in interface `AdjacencyMatrix`

### setComment

    public void setComment(java.lang.String comment)

  Associates a comment with this matrix (e.g. the tick count at which it was created.)

  Specified by:
    `setComment` in interface `AdjacencyMatrix`
  Parameters:
    `comment` - the comment

### getComment

    public java.lang.String getComment()

  Gets the comment, if any, associated with this matrix.

  Specified by:
    `getComment` in interface `AdjacencyMatrix`

### getLabels

    public java.util.List getLabels()

  Gets the node labels for this matrix.

  Specified by:
    `getLabels` in interface `AdjacencyMatrix`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD